Bug 248650 - Texas Instruments PCIxx12 cardreader doesn't work
Summary: Texas Instruments PCIxx12 cardreader doesn't work
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.1-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Johnston
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-13 20:03 UTC by Lars Herschke
Modified: 2020-09-01 13:59 UTC (History)
1 user (show)

See Also:


Attachments
Patch for the sdhci driver (514 bytes, patch)
2020-08-13 20:03 UTC, Lars Herschke
no flags Details | Diff
Patch for the man page (253 bytes, patch)
2020-08-13 20:03 UTC, Lars Herschke
no flags Details | Diff
config file for the devd (400 bytes, text/plain)
2020-08-13 20:04 UTC, Lars Herschke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Herschke 2020-08-13 20:03:10 UTC
Created attachment 217203 [details]
Patch for the sdhci driver

The following config file for the devd and the patch for the sdhci driver solve this problem.
Comment 1 Lars Herschke 2020-08-13 20:03:45 UTC
Created attachment 217204 [details]
Patch for the man page
Comment 2 Lars Herschke 2020-08-13 20:04:16 UTC
Created attachment 217205 [details]
config file for the devd
Comment 3 commit-hook freebsd_committer 2020-08-25 18:33:35 UTC
A commit references this bug:

Author: markj
Date: Tue Aug 25 18:32:44 UTC 2020
New revision: 364779
URL: https://svnweb.freebsd.org/changeset/base/364779

Log:
  sdhci(4): Recognize the Texas Instruments PCIxx12 card reader.

  PR:		248650
  Submitted by:	Lars Herschke <lhersch@dssgmbh.de>
  MFC after:	1 week

Changes:
  head/share/man/man4/sdhci.4
  head/sys/dev/sdhci/sdhci_pci.c
Comment 4 Mark Johnston freebsd_committer 2020-08-25 18:35:49 UTC
Thanks, I committed the source changes.

Regarding the devd configuration, I think the real solution is to convert sdhci_pci to use the new MODULE_PNP_INFO framework.  This basically embeds the recognized device IDs into the driver in a way that allows devd to recognize devices and load drivers automatically, without any extra configuration.  Many drivers are converted, but sdhci is not (yet).  If you are interested in working on this, please feel free to ask for help.
Comment 5 commit-hook freebsd_committer 2020-09-01 13:58:48 UTC
A commit references this bug:

Author: markj
Date: Tue Sep  1 13:58:17 UTC 2020
New revision: 365038
URL: https://svnweb.freebsd.org/changeset/base/365038

Log:
  MFC r364779:
  sdhci(4): Recognize the Texas Instruments PCIxx12 card reader.

  PR:	248650

Changes:
_U  stable/12/
  stable/12/share/man/man4/sdhci.4
  stable/12/sys/dev/sdhci/sdhci_pci.c
Comment 6 Mark Johnston freebsd_committer 2020-09-01 13:59:36 UTC
Thanks for the patch.